2019-10-17 00:03 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002687FSSCPgraphicspublic2012-08-16 05:57
Reporterniffiwan 
Assigned ToEchelon9 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSxubuntuOS Version12.04
Product Version3.6.13 
Target VersionFixed in Version3.6.14 
Summary0002687: In weapon selection window, glowpoints can be seen through a ships hull
DescriptionThe summary pretty much says it - see the attached screenshots.

One taken with 3.6.14 RC6 is normal
One from r9010 has them showing through the hull
TagsNo tags attached.
Attached Files
  • png file icon glowpoints-3-6-14-RC6.png (253,591 bytes) 2012-07-14 06:25 -
    png file icon glowpoints-3-6-14-RC6.png (253,591 bytes) 2012-07-14 06:25 +
  • png file icon glowpoints-showing-through-hull.png (220,170 bytes) 2012-07-14 06:25 -
    png file icon glowpoints-showing-through-hull.png (220,170 bytes) 2012-07-14 06:25 +
  • png file icon glowpoints-through-hull.png (252,033 bytes) 2012-08-15 04:47 -
    png file icon glowpoints-through-hull.png (252,033 bytes) 2012-08-15 04:47 +
  • patch file icon fix_mantis_2687.patch (708 bytes) 2012-08-15 08:14 -
    Index: code/missionui/missionweaponchoice.cpp
    ===================================================================
    --- code/missionui/missionweaponchoice.cpp	(revision 9109)
    +++ code/missionui/missionweaponchoice.cpp	(working copy)
    @@ -885,9 +885,13 @@
     			light_add_directional(&light_dir, 0.65f, 1.0f, 1.0f, 1.0f);
     			light_rotate_all();
     
    +            Glowpoint_use_depth_buffer = false;
    +            
     			model_clear_instance(wl_ship->model_num);
     			model_render(wl_ship->model_num, &object_orient, &vmd_zero_vector, MR_LOCK_DETAIL | MR_AUTOCENTER | MR_NO_FOGGING, -1, -1);
     
    +            Glowpoint_use_depth_buffer = true;
    +            
     			batch_render_all();
     
     			//NOW render the lines for weapons
    
    patch file icon fix_mantis_2687.patch (708 bytes) 2012-08-15 08:14 +

-Relationships
+Relationships

-Notes

~0013907

Echelon9 (developer)

I think this was fixed in current trunk? Can you please retest.

~0013909

niffiwan (developer)

Still seems to occur in trunk 9109. It was a bit harder to see with the Myrmidon so I stuck a red circle around the yellow glowpoint that should not be visible. Also note:

1) doesn't occur in F3 ship lab
2) doesn't occur in the ship selection screen, only the weapon selection screen
3) glowpoints are correctly hidden at certain points during the ships rotation. It almost looks like some parts of the model are correctly hiding the glowpoint (maybe the cockpit) while other parts don't (the wing stubs on the Myrmidon).

~0013910

Echelon9 (developer)

Yup, have verified this as occurring in latest r9109. Bringing swifty in as he may have some insights.

~0013911

Echelon9 (developer)

Actually, think I might have already fixed this one.

Can you please review the attached patch, for the fix to the weapon select screen.

~0013913

niffiwan (developer)

The patch has resolved the problem for me.

~0013914

Echelon9 (developer)

Have committed the fix to trunk.

Frankly, we should keep an eye out for this bug, as it was also partially fixed in r9031.
+Notes

-Issue History
Date Modified Username Field Change
2012-07-14 06:25 niffiwan New Issue
2012-07-14 06:25 niffiwan File Added: glowpoints-3-6-14-RC6.png
2012-07-14 06:25 niffiwan File Added: glowpoints-showing-through-hull.png
2012-08-14 11:03 Echelon9 Note Added: 0013907
2012-08-14 11:03 Echelon9 Assigned To => Echelon9
2012-08-14 11:03 Echelon9 Status new => feedback
2012-08-15 04:47 niffiwan File Added: glowpoints-through-hull.png
2012-08-15 04:52 niffiwan Note Added: 0013909
2012-08-15 04:52 niffiwan Status feedback => assigned
2012-08-15 08:04 Echelon9 Note Added: 0013910
2012-08-15 08:04 Echelon9 Assigned To Echelon9 => Swifty
2012-08-15 08:04 Echelon9 Status assigned => confirmed
2012-08-15 08:14 Echelon9 File Added: fix_mantis_2687.patch
2012-08-15 08:15 Echelon9 Note Added: 0013911
2012-08-15 08:15 Echelon9 Status confirmed => code review
2012-08-16 05:12 niffiwan Note Added: 0013913
2012-08-16 05:57 Echelon9 Note Added: 0013914
2012-08-16 05:57 Echelon9 Status code review => resolved
2012-08-16 05:57 Echelon9 Fixed in Version => 3.6.14
2012-08-16 05:57 Echelon9 Resolution open => fixed
2012-08-16 05:57 Echelon9 Assigned To Swifty => Echelon9
+Issue History